%define skswebdir /var/www/sks

Name:		sks-web
Version:	1.0
Release:	1%{?dist}
Summary:	Web frontend the the sks software.

Group:		Applications/System
License:	BSD
URL:		http://oss.rutgers.edu
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	httpd sks

%description
A simple web frontend for adding and retrieving keys on a locally sks server.


%prep
%setup -q


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{skswebdir}
install * $RPM_BUILD_ROOT/%{skswebdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,apache,apache,-)
%{skswebdir}/index.html
%{skswebdir}/pks-add.html
%{skswebdir}/pks-cli.html
%{skswebdir}/pks-email.html
%{skswebdir}/pks-find.html

%changelog
* Thu Jan 09 2014 Josh Matthews <jmatth@nbcs.rutgers.edu> 1.0-1
- Initial build.
